## ros-lunar-rtabmap-ros 0.17.6

=== Makefile ===
include $(shell rospack find mk)/cmake.mk

=== debian/changelog ===
ros-lunar-rtabmap-ros (0.17.6-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Sat, 29 Sep 2018 19:36:11 -0000

=== debian/control ===
Source: ros-lunar-rtabmap-ros
Section: misc
Priority: extra
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-lunar-catkin, ros-lunar-class-loader, ros-lunar-costmap-2d, ros-lunar-cv-bridge, ros-lunar-dynamic-reconfigure, ros-lunar-eigen-conversions, ros-lunar-find-object-2d, ros-lunar-genmsg, ros-lunar-geometry-msgs, ros-lunar-image-geometry, ros-lunar-image-transport, ros-lunar-laser-geometry, ros-lunar-message-filters, ros-lunar-message-generation, ros-lunar-move-base-msgs, ros-lunar-nav-msgs, ros-lunar-nodelet, ros-lunar-octomap-msgs, ros-lunar-pcl-conversions, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-rtabmap, ros-lunar-rviz, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-stereo-msgs, ros-lunar-tf, ros-lunar-tf-conversions, ros-lunar-tf2-ros, ros-lunar-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-rtabmap-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-class-loader, ros-lunar-compressed-depth-image-transport, ros-lunar-compressed-image-transport, ros-lunar-costmap-2d, ros-lunar-cv-bridge, ros-lunar-dynamic-reconfigure, ros-lunar-eigen-conversions, ros-lunar-find-object-2d, ros-lunar-geometry-msgs, ros-lunar-image-geometry, ros-lunar-image-transport, ros-lunar-laser-geometry, ros-lunar-message-filters, ros-lunar-message-runtime, ros-lunar-move-base-msgs, ros-lunar-nav-msgs, ros-lunar-nodelet, ros-lunar-octomap-msgs, ros-lunar-pcl-conversions, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-rtabmap, ros-lunar-rviz, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-stereo-msgs, ros-lunar-tf, ros-lunar-tf-conversions, ros-lunar-tf2-ros, ros-lunar-visualization-msgs
Description: RTAB-Map's ros-pkg.
 RTAB-Map is a RGB-D SLAM approach with real-time constraints.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rtabmap-ros//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
